Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.order
Class OrderManagerImpl

    java.lang.Object
      |
      +--theory.smart.foundation.SessionImpl
            |
            +--theory.smart.ebusiness.order.OrderManagerImpl

Deprecated. The OrderManger interface has been deprecated and will not be supported in version 2.0

public class OrderManagerImpl
extends SessionImpl

The OrderManager represents a specialized Home for Order Entities. It simplifies the creation of orders by finding the home, creating a unique primary key, and creating the object. It uses a sequencer to generate unique order Ids. It allows the user to specify their own sequencer. If the specifed sequencer does not exist, it creates it, and then uses it. SequencerHome - Specifies the JNDI name for allocating Aphanumeric Sequence. The default is theory.smart.axiom.util.AlphaNumericSequencer OrderPrefix - Specifies the Prefix for allocating Order. Default is "web-x-0" OrderSuffix - Specifies the Suffix for allocating Order. Default is "-bbdc "

See Also:
  `OrderManager`, `OrderManagerHome`, Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_SEQUENCER_ID` Deprecated.
`static java.lang.String` | `DEFAULT_SEQUENCER_PREFIX` Deprecated.
`static java.lang.String` | `DEFAULT_SEQUENCER_SUFFIX` Deprecated.
`SmartHandle` | `orderIdGenerator` Deprecated. orderIdGenerator [OrderManager] <>------> [`theory.smart.axiom.util.AlphaNumericSequencer`]

Fields inherited from class theory.smart.foundation.SessionImpl
`ctx, isDirty`

Constructor Summary
`OrderManagerImpl()` Deprecated.

Method Summary
`Order` | `createOrder()` Deprecated. Simplifies the creation of orders by finding the home, creating a unique primary key, and creating the object.
`void` | `deleteOrder(Order order)` Deprecated. Invokes the remove operator on the Order.
`void` | `ejbActivate()` Deprecated.
`void` | `ejbCreate()` Deprecated.
`void` | `ejbPassivate()` Deprecated.
`void` | `ejbPostCreate()` Deprecated.
`void` | `ejbRemove()` Deprecated.
`Order` | `findOrder(java.lang.String key)` Deprecated. Find an order given the specified key and return it.
`AlphaNumericSequencer` | `getOrderIdGenerator()` Deprecated. Get the remote object reference of orderIdGenerator
`void` | `setOrderIdGenerator(AlphaNumericSequencer orderIdGenerator)` Deprecated. Set the remote object reference of orderIdGenerator
`void` | `setOrderIdGenerator(java.lang.String sequencerKey)` Deprecated. Allow the user to control the key generation alogorithm by substituting an alternative sequencer.
`void` | `setSessionContext(SessionContext ctx)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SEQUENCER_ID

    public static final java.lang.String DEFAULT_SEQUENCER_ID

  Deprecated.

### DEFAULT_SEQUENCER_PREFIX

    public static final java.lang.String DEFAULT_SEQUENCER_PREFIX

  Deprecated.

### DEFAULT_SEQUENCER_SUFFIX

    public static final java.lang.String DEFAULT_SEQUENCER_SUFFIX

  Deprecated.

### orderIdGenerator

    public SmartHandle orderIdGenerator

  Deprecated.

                        orderIdGenerator
       [OrderManager] <>------> [theory.smart.axiom.util.AlphaNumericSequencer]

Constructor Detail

### OrderManagerImpl

    public OrderManagerImpl()
                     throws CreateException

  Deprecated.

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbCreate in class SessionImpl

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException,
                              java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbPostCreate in class SessionImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbActivate in class SessionImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbPassivate in class SessionImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbRemove in class SessionImpl

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    setSessionContext in class SessionImpl

### getOrderIdGenerator

    public AlphaNumericSequencer getOrderIdGenerator()
                                              throws java.rmi.RemoteException

  Deprecated.
  Get the remote object reference of orderIdGenerator
  Returns:
    orderIdGenerator.

### setOrderIdGenerator

    public void setOrderIdGenerator(AlphaNumericSequencer orderIdGenerator)
                             throws java.rmi.RemoteException

  Deprecated.
  Set the remote object reference of orderIdGenerator
  Parameters:
    `orderIdGenerators` - orderIdGenerator to be added

### createOrder

    public Order createOrder()
                      throws java.rmi.RemoteException

  Deprecated.
  Simplifies the creation of orders by finding the home, creating a unique primary key, and creating the object.

### deleteOrder

    public void deleteOrder(Order order)
                     throws java.rmi.RemoteException

  Deprecated.
  Invokes the remove operator on the Order. Delete order will not allow the destruction of an order that has been finalized and is thus associated with an invoice. To do so would be to create a dangling reference.

### findOrder

    public Order findOrder(java.lang.String key)
                    throws java.rmi.RemoteException,
                           FinderException

  Deprecated.
  Find an order given the specified key and return it.

### setOrderIdGenerator

    public void setOrderIdGenerator(java.lang.String sequencerKey)
                             throws java.rmi.RemoteException

  Deprecated.
  Allow the user to control the key generation alogorithm by substituting an alternative sequencer.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.